---
Title: Get Help
---

# Where to get help

See below for the different ways you can get help when building applications using the Alfresco Application Development Framework.

## Alfresco Community

Visit Alfresco Community for resources that will help you find information to get started building your application,
along with blog posts from the Alfresco developers and much more:
https://community.alfresco.com/community/application-development-framework

## Alfresco Developer Support

Developer Support is a remote subscription-based support team that offers  
development-focused, senior Support Engineers to help you with your installation.
This support offering is best for customers and partners that require on-going support
for their development teams and customized code.

Visit the Developer Support Services section on the Alfresco website for more information:
https://www.alfresco.com/alfresco-developer-support-services

## Alfresco University

Training with Alfresco University is the best way to acquire the right skills for your team to deliver a successful Alfresco implementation.
The most cost-effective way to take advantage of this valuable training is through Alfresco University Passport.

Visit the Alfresco University section on the Alfresco website for more information:
https://www.alfresco.com/alfresco-university

## Frequently asked questions

### How do I log an issue (bug, enhancement, feature)?

Log any issues in the [Jira][jira],
please include a clear description, steps to reproduce and screenshots where appropriate.
All issues will be reviewed; bugs will be categorized if reproducible and enhancement/feature suggestions
will be considered against existing priorities if the use case serves a general-purpose need.

### Does this/Will this application replace Alfresco Share?

This example application is designed to demonstrate how to construct a content application using the Alfresco Application Development Framework,
it is not intended to be a replacement for Alfresco Share.

### How do I contribute to the project?

Want to file a bug, contribute some code, or improve documentation? Excellent!
Read up on our guidelines for [contributing][contributing]
and then check out one of our issues in the [Jira][jira] or [GitHub][github]

### How often will this project be updated?

This project will continue to evolve as the Alfresco ADF evolves, with Alfresco and community developers contributing to its progress.

[contributing]: https://github.com/Alfresco/alfresco-content-app/blob/master/CONTRIBUTING.md
[github]: https://github.com/Alfresco/alfresco-content-app/issues
[jira]: https://issues.alfresco.com/jira/projects/ACA
